[arch-commits] Commit in libgcrypt/repos (6 files)
Andreas Radke
andyrtr at archlinux.org
Tue Sep 8 18:03:06 UTC 2015
Date: Tuesday, September 8, 2015 @ 20:03:05
Author: andyrtr
Revision: 245604
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
libgcrypt/repos/testing-i686/
libgcrypt/repos/testing-i686/PKGBUILD
(from rev 245603, libgcrypt/trunk/PKGBUILD)
libgcrypt/repos/testing-i686/libgcrypt.install
(from rev 245603, libgcrypt/trunk/libgcrypt.install)
libgcrypt/repos/testing-x86_64/
libgcrypt/repos/testing-x86_64/PKGBUILD
(from rev 245603, libgcrypt/trunk/PKGBUILD)
libgcrypt/repos/testing-x86_64/libgcrypt.install
(from rev 245603, libgcrypt/trunk/libgcrypt.install)
----------------------------------+
testing-i686/PKGBUILD | 45 +++++++++++++++++++++++++++++++++++++
testing-i686/libgcrypt.install | 20 ++++++++++++++++
testing-x86_64/PKGBUILD | 45 +++++++++++++++++++++++++++++++++++++
testing-x86_64/libgcrypt.install | 20 ++++++++++++++++
4 files changed, 130 insertions(+)
Copied: libgcrypt/repos/testing-i686/PKGBUILD (from rev 245603, libgcrypt/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2015-09-08 18:03:05 UTC (rev 245604)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+
+# after a .so bump first rebuild dirmngr
+# with sudo testing-x86_64-build -- -I libgcrypt-1.6.0-1-x86_64.pkg.tar.xz
+# then cp /usr/lib/libgcrypt.so.11 /var/lib/archbuild/staging-x86_64/root/usr/lib/ and do staging-x86_64-build
+
+pkgname=libgcrypt
+pkgver=1.6.4
+pkgrel=1
+pkgdesc="General purpose cryptographic library based on the code from GnuPG"
+arch=(i686 x86_64)
+url="http://www.gnupg.org"
+license=('LGPL')
+depends=('libgpg-error>=1.10-2')
+options=('!emptydirs')
+install=$pkgname.install
+# https://www.gnupg.org/download/integrity_check.html
+source=(ftp://ftp.gnupg.org/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2{,.sig})
+sha1sums=('ed52add1ce635deeb2f5c6650e52667debd4ec70'
+ 'SKIP')
+validpgpkeys=('031EC2536E580D8EA286A9F22071B08A33BD3F06' # "NIIBE Yutaka (GnuPG Release Key) <gniibe at fsij.org>"
+ 'D8692123C4065DEA5E0F3AB5249B39D24F25E3B6') # Werner Koch
+
+#prepare() {
+# cd ${pkgname}-${pkgver}
+#}
+
+build() {
+ cd ${pkgname}-${pkgver}
+ ./configure --prefix=/usr \
+ --disable-static \
+ --disable-padlock-support
+ make
+}
+
+check() {
+ cd ${pkgname}-${pkgver}
+ make check
+}
+
+package() {
+ cd ${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install
+}
Copied: libgcrypt/repos/testing-i686/libgcrypt.install (from rev 245603, libgcrypt/trunk/libgcrypt.install)
===================================================================
--- testing-i686/libgcrypt.install (rev 0)
+++ testing-i686/libgcrypt.install 2015-09-08 18:03:05 UTC (rev 245604)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(gcrypt.info.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
Copied: libgcrypt/repos/testing-x86_64/PKGBUILD (from rev 245603, libgcrypt/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2015-09-08 18:03:05 UTC (rev 245604)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+
+# after a .so bump first rebuild dirmngr
+# with sudo testing-x86_64-build -- -I libgcrypt-1.6.0-1-x86_64.pkg.tar.xz
+# then cp /usr/lib/libgcrypt.so.11 /var/lib/archbuild/staging-x86_64/root/usr/lib/ and do staging-x86_64-build
+
+pkgname=libgcrypt
+pkgver=1.6.4
+pkgrel=1
+pkgdesc="General purpose cryptographic library based on the code from GnuPG"
+arch=(i686 x86_64)
+url="http://www.gnupg.org"
+license=('LGPL')
+depends=('libgpg-error>=1.10-2')
+options=('!emptydirs')
+install=$pkgname.install
+# https://www.gnupg.org/download/integrity_check.html
+source=(ftp://ftp.gnupg.org/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2{,.sig})
+sha1sums=('ed52add1ce635deeb2f5c6650e52667debd4ec70'
+ 'SKIP')
+validpgpkeys=('031EC2536E580D8EA286A9F22071B08A33BD3F06' # "NIIBE Yutaka (GnuPG Release Key) <gniibe at fsij.org>"
+ 'D8692123C4065DEA5E0F3AB5249B39D24F25E3B6') # Werner Koch
+
+#prepare() {
+# cd ${pkgname}-${pkgver}
+#}
+
+build() {
+ cd ${pkgname}-${pkgver}
+ ./configure --prefix=/usr \
+ --disable-static \
+ --disable-padlock-support
+ make
+}
+
+check() {
+ cd ${pkgname}-${pkgver}
+ make check
+}
+
+package() {
+ cd ${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install
+}
Copied: libgcrypt/repos/testing-x86_64/libgcrypt.install (from rev 245603, libgcrypt/trunk/libgcrypt.install)
===================================================================
--- testing-x86_64/libgcrypt.install (rev 0)
+++ testing-x86_64/libgcrypt.install 2015-09-08 18:03:05 UTC (rev 245604)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(gcrypt.info.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list